mfont_list(3m17n)

NAME
mfont_list - Get a list of fonts.

SYNOPSIS
MPlist* mfont_list (MFrame * frame, MFont * font, MSymbol language, int maxnum)

DESCRIPTION
Get a list of fonts.

The mfont_list() functions returns a list of fonts available on frame frame. font, if not NULL, limits fonts to ones that match with font. language, if not Mnil, limits fonts to ones that support language. maxnum, if greater than 0, limits the number of fonts.

language argument exists just for backward compatibility, and the use is deprecated. Use Mlanguage font property instead. If font already has Mlanguage property, language is ignored.

RETURN VALUE

    This function returns a plist whose keys are family names and values are pointers to the object MFont. The plist must be freed by m17n_object_unref(). If no font is found, it returns NULL.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.